---
lang: en
title: 'API docs: pooling.poolingservice.release'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/pooling
permalink: /doc/en/lb4/apidocs.pooling.poolingservice.release.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/pooling](./pooling.md) &gt; [PoolingService](./pooling.poolingservice.md) &gt; [release](./pooling.poolingservice.release.md)

## PoolingService.release() method

Release the resource back to the pool.

**Signature:**

```typescript
release(resource: T): Promise<void>;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

resource


</td><td>

T


</td><td>

Resource instance to be returned back to the pool


</td></tr>
</tbody></table>

**Returns:**

Promise&lt;void&gt;


